net.minecraft.tileentity

## Class MobSpawnerBaseLogic

- java.lang.Object
- - net.minecraft.tileentity.MobSpawnerBaseLogic

-     public abstract class MobSpawnerBaseLogic
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `field_98284_d`
    `int` | `field_98286_b`
    `double` | `field_98287_c`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MobSpawnerBaseLogic()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Entity` | `func_98265_a(Entity par1Entity)`
    `abstract int` | `func_98266_d()`
    `abstract void` | `func_98267_a(int i)`
    `boolean` | `func_98268_b(int par1)`
    `WeightedRandomMinecart` | `func_98269_i()`
    `void` | `func_98270_a(NBTTagCompound par1NBTTagCompound)`
    `abstract World` | `func_98271_a()`
    `void` | `func_98272_a(String par1Str)`
    `abstract int` | `func_98274_c()`
    `abstract int` | `func_98275_b()`
    `String` | `func_98276_e()`
    `void` | `func_98277_a(WeightedRandomMinecart par1WeightedRandomMinecart)`
    `void` | `func_98278_g()`
    `boolean` | `func_98279_f()`
    `void` | `func_98280_b(NBTTagCompound par1NBTTagCompound)`
    `Entity` | `func_98281_h()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_98286_b

          public int field_98286_b

    - #### field_98287_c

          public double field_98287_c

    - #### field_98284_d

          public double field_98284_d

  - ### Constructor Detail

    - #### MobSpawnerBaseLogic

          public MobSpawnerBaseLogic()

  - ### Method Detail

    - #### func_98276_e

          public String func_98276_e()

    - #### func_98272_a

          public void func_98272_a(String par1Str)

    - #### func_98279_f

          public boolean func_98279_f()

    - #### func_98278_g

          public void func_98278_g()

    - #### func_98265_a

          public Entity func_98265_a(Entity par1Entity)

    - #### func_98270_a

          public void func_98270_a(NBTTagCompound par1NBTTagCompound)

    - #### func_98280_b

          public void func_98280_b(NBTTagCompound par1NBTTagCompound)

    - #### func_98268_b

          public boolean func_98268_b(int par1)

    - #### func_98281_h

          public Entity func_98281_h()

    - #### func_98269_i

          public WeightedRandomMinecart func_98269_i()

    - #### func_98277_a

          public void func_98277_a(WeightedRandomMinecart par1WeightedRandomMinecart)

    - #### func_98267_a

          public abstract void func_98267_a(int i)

    - #### func_98271_a

          public abstract World func_98271_a()

    - #### func_98275_b

          public abstract int func_98275_b()

    - #### func_98274_c

          public abstract int func_98274_c()

    - #### func_98266_d

          public abstract int func_98266_d()